import { AdminController } from './AdminController';
import { AppointmentController } from './AppointmentController';
import { AuthController } from './AuthController';
import { ContentController } from './ContentController';
import { DoctorController } from './DoctorController';
import { NotificationController } from './NotificationController';
import { PatientController } from './PatientController';
import { PaymentController } from './PaymentController';
import { PlanController } from './PlanController';
import { PrescriptionController } from './PrescriptionController';
import { SubscriptionController } from './SubscriptionController';
import { SurveyController } from './SurveyController';
import { UploadController } from './UploadController';

import { DoctorManagerController } from './DoctorManagerController';

import { DashboardController } from './DashboardController';

export const CONTROLLERS = [
  new AuthController(),
  new PatientController(),
  new DoctorController(),
  new AppointmentController(),
  new PrescriptionController(),
  new SubscriptionController(),
  new PaymentController(),
  new PlanController(),
  new UploadController(),
  new SurveyController(),
  new NotificationController(),
  new DoctorManagerController(),
  new DashboardController(),
  new AdminController(),
  new ContentController(),
];
